cpw.mods.fml.common

## Class MCPDummyContainer

- java.lang.Object
- - cpw.mods.fml.common.DummyModContainer
  - - cpw.mods.fml.common.MCPDummyContainer

- All Implemented Interfaces:
    ModContainer

      public class MCPDummyContainer
      extends DummyModContainer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface cpw.mods.fml.common.ModContainer

      `ModContainer.Disableable`

  - ### Field Summary

    - ### Fields inherited from interface cpw.mods.fml.common.ModContainer

      `EMPTY_PROPERTIES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MCPDummyContainer(ModMetadata metadata)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModContainer.Disableable` | `canBeDisabled()`
    `boolean` | `registerBus(com.google.common.eventbus.EventBus bus, LoadController controller)` Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing

    - ### Methods inherited from class cpw.mods.fml.common.DummyModContainer

      `acceptableMinecraftVersionRange, bindMetadata, getCustomModProperties, getCustomResourcePackClass, getDependants, getDependencies, getDisplayVersion, getGuiClassName, getMetadata, getMod, getModId, getName, getOwnedPackages, getProcessedVersion, getRequirements, getSharedModDescriptor, getSigningCertificate, getSortingRules, getSource, getVersion, isImmutable, matches, setEnabledState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MCPDummyContainer

          public MCPDummyContainer(ModMetadata metadata)

  - ### Method Detail

    - #### registerBus

          public boolean registerBus(com.google.common.eventbus.EventBus bus,
                            LoadController controller)

      Description copied from interface: `ModContainer`
      Register the event bus for the mod and the controller for error handling Returns if this bus was successfully registered - disabled mods and other mods that don't need real events should return false and avoid further processing
      Specified by:
        `registerBus` in interface `ModContainer`
      Overrides:
        `registerBus` in class `DummyModContainer`

    - #### canBeDisabled

          public ModContainer.Disableable canBeDisabled()

      Specified by:
        `canBeDisabled` in interface `ModContainer`
      Overrides:
        `canBeDisabled` in class `DummyModContainer`